Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026162
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalalways2014-04-03 11:372014-10-01 16:18
ReportercaristuView Statuspublic 
Assigned Toguillermogil 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revision7b40264aab15
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP31SCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2013-12-13
Regression introduced in release3.0MP31
Regression introduced by commithttp://code.openbravo.com/erp/devel/pi/rev/2cc210f50c0553afa41cae1698b4cfedfa3fbf06 [^]
Triggers an Emergency PackNo
Summary

0026162: CSV Text Encoding preference is not working

DescriptionCSV Text Encoding preference is not working, currently the csv are exported always in UTF-8.
Steps To Reproduce1) Go to any window in the ERP, for example Sales Invoice
2) Click on the Export To Spreadsheet button in the toolbar.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00253133.0MP31 closedcaristu Arabic fonts are not exported properly using the Export To Spreadsheet button 

-  Notes
(0066121)
guillermogil (developer)
2014-04-03 12:34

In order to export the csv with an specific encoding CSV Text Encoding preference must be configured properly.
(0066123)
hgbot (developer)
2014-04-03 12:40

Repository: erp/devel/pi
Changeset: 7b40264aab15bda9878ac81852641861d873f42d
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Thu Apr 03 12:39:27 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7b40264aab15bda9878ac81852641861d873f42d [^]

Fixed issue 26162: CSV Text Encoding preference is not working

Deleted auto set character encoding

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DataSourceServlet.java
---
(0066133)
AugustoMauch (developer)
2014-04-03 15:43

Code reviewed and verified in pi@22827
(0066135)
dmitry_mezentsev (developer)
2014-04-03 16:15

Any automation planned?
(0066170)
shuehner (administrator)
2014-04-03 18:29

Small question: what should be encoding of the csv file be without a specific encoding preference be set?
utf-8?
system-specific (i.e. iso-8859-1 on windows in western europe)?
(0066219)
hgbot (developer)
2014-04-08 08:51

Repository: erp/devel/pi
Changeset: 8436dc079363dd3df5a70d47c0a7657e414a817a
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Tue Apr 08 08:50:38 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8436dc079363dd3df5a70d47c0a7657e414a817a [^]

Related to issue 26162: Added test case for CSV Encoding

---
M src-test/org/openbravo/test/AllWebserviceTests.java
A src-test/org/openbravo/test/datasource/TestCSVEncoding.java
---
(0066887)
hudsonbot (developer)
2014-05-07 18:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test
(0066899)
hudsonbot (developer)
2014-05-07 18:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/02ca2648bcdc [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-04-03 11:37 caristu New Issue
2014-04-03 11:37 caristu Assigned To => AugustoMauch
2014-04-03 11:37 caristu Modules => Core
2014-04-03 11:37 caristu Triggers an Emergency Pack => No
2014-04-03 11:38 caristu Issue Monitored: networkb
2014-04-03 11:39 caristu Regression level => Pre packaging ( pi )
2014-04-03 11:39 caristu Regression introduced by commit => http://code.openbravo.com/erp/devel/pi/rev/2cc210f50c0553afa41cae1698b4cfedfa3fbf06 [^]
2014-04-03 11:39 caristu Target Version => PR14Q2
2014-04-03 11:40 caristu Target Version PR14Q2 =>
2014-04-03 11:46 caristu Regression level Pre packaging ( pi ) => Production - QA Approved
2014-04-03 11:46 caristu version => 3.0MP31.2
2014-04-03 11:47 caristu Regression level Production - QA Approved => Production - Confirmed Stable
2014-04-03 11:47 caristu version 3.0MP31.2 => 3.0MP31
2014-04-03 12:18 AugustoMauch Review Assigned To => AugustoMauch
2014-04-03 12:18 AugustoMauch Priority urgent => immediate
2014-04-03 12:18 AugustoMauch Severity major => critical
2014-04-03 12:21 guillermogil Assigned To AugustoMauch => guillermogil
2014-04-03 12:26 guillermogil Relationship added related to 0025313
2014-04-03 12:34 guillermogil Note Added: 0066121
2014-04-03 12:34 guillermogil Issue Monitored: shankarb
2014-04-03 12:38 guillermogil Regression date => 2013-12-13
2014-04-03 12:40 hgbot Checkin
2014-04-03 12:40 hgbot Note Added: 0066123
2014-04-03 12:40 hgbot Status new => resolved
2014-04-03 12:40 hgbot Resolution open => fixed
2014-04-03 12:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7b40264aab15bda9878ac81852641861d873f42d [^]
2014-04-03 15:43 AugustoMauch Note Added: 0066133
2014-04-03 15:43 AugustoMauch Status resolved => closed
2014-04-03 15:43 AugustoMauch Fixed in Version => PR14Q2
2014-04-03 16:15 dmitry_mezentsev Note Added: 0066135
2014-04-03 18:29 shuehner Note Added: 0066170
2014-04-08 08:51 hgbot Checkin
2014-04-08 08:51 hgbot Note Added: 0066219
2014-05-07 18:10 hudsonbot Checkin
2014-05-07 18:10 hudsonbot Note Added: 0066887
2014-05-07 18:11 hudsonbot Checkin
2014-05-07 18:11 hudsonbot Note Added: 0066899
2014-10-01 16:18 plujan Regression introduced in release => 3.0MP31


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker